
<div class="container">

  <div class="relative">

    <div class="float-left w-full" style="margin: -12px 0 24px">

      <div *ngIf="maxLiquidityCacao" style="padding: 8px" class="flex justify-center disabled-list">
        <div>
          <span>{{totalPooledCacao | number: '1.0-0'}}</span> / <span class="mr-1">{{maxLiquidityCacao | number}} </span>
        </div>
        <span>CACAO Cap Pooled</span>
      </div>


      <a *ngIf="!depositsDisabled" [routerLink]="['/', 'deposit', 'BTC.BTC']" class="main-action-btn w-full" mat-flat-button color="primary">
        Add Liquidity
      </a>

      <button *ngIf="depositsDisabled" class="main-action-btn w-full" mat-flat-button color="primary" disabled>Pool Cap > 90%</button>

      <div class="flex float-right mt-3 items-center">

        <a
          *ngIf="createablePools && createablePools.length > 0"
          [routerLink]="['/', 'create-pool']"
          [queryParams]="{pool: createablePools[0]}"
          class="text-white"
          style="text-decoration: none; font-size: 0.8rem;"
        >
          Create Pool
        </a>

        <span class="text-gray-600 ml-2 text-xs" *ngIf="createablePools && createablePools.length > 0"> | </span>

        <a
          [routerLink]="['/', 'deposit-sym-recovery']"
          class="text-white ml-2"
          style="text-decoration: none; font-size: 0.8rem;"
        >
          Pending Deposits
        </a>
      </div>

    </div>

    <div class="section-label flex items-center justify-between">
      <span class="mr-2">Your liquidity</span>
      <button class="refresh-indicator" *ngIf="user && !loading" (click)="getAccountPools()" mat-icon-button aria-label="Refresh your liquidity">
        <mat-icon style="font-size: 1.2rem;">refresh</mat-icon>
      </button>
      <div *ngIf="user && loading" class="refresh-indicator">
        <mat-progress-spinner diameter="16" color="primary" mode="indeterminate"></mat-progress-spinner>
      </div>
    </div>

    <div *ngIf="!user" class="disabled-list">
      Connect wallet to view liquidity
    </div>

    <app-staked-pools-list *ngIf="user && pools && memberPools" [pools]="pools" [memberPools]="memberPools" [depositsDisabled]="depositsDisabled"></app-staked-pools-list>

    <div *ngIf="user && (!pools || !memberPools)" style="height: 140px" class="flex justify-center items-center float-left w-full">

        <div *ngIf="!userPoolError">
          <mat-progress-spinner color="primary" mode="indeterminate" diameter="30"></mat-progress-spinner>
        </div>

        <div class="flex flex-col items-center text-xs" *ngIf="userPoolError">
          <mat-icon>warning</mat-icon>
          Error fetching user pools
        </div>

    </div>

  </div>

</div>
